package main;

import java.awt.RenderingHints.Key;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;

import org.graphstream.graph.Graph;
import org.graphstream.graph.implementations.SingleGraph;

import structure.Grid;
import structure.Router;

public class Main {

	public static void main(String[] args) {
		Grid g=new Grid();
		//g.printLinkWeight();
	//	System.out.println("Best link : " + g.getBestLinkIndex());
		
		Graph graph = new SingleGraph("Tutorial 1");
		
		 ArrayList<Router> grid=g.getGrid();
		 ArrayList<ArrayList<Integer>> links=g.getLinks();
		 for(Router r : grid){
				graph.addNode(r.name);
				
		 }
		 for(Router r : grid){
			 String current=r.name;
			 HashMap<Router, Integer> relier=r.getLinks();
			 Set k=relier.keySet();
			 Iterator<Router> i=k.iterator();
			 while(i.hasNext()){
				 Router currentRouter=i.next();
				 String currentRouterName=currentRouter.name;
				 try{
					//graph.addEdge(current+currentRouter, current, currentRouter).addAttribute("ui.style", "fill-color: rgb(0,100,255);");
						graph.addEdge(current+currentRouterName, current, currentRouterName).setAttribute("ui.label", relier.get(currentRouter));



				 }
				 catch(Exception e){
					// System.out.println("Bug de merde.");
				 }
				 
			 }
			 
		 }
		graph.display();
	}
}
